import { randomInt } from "crypto";
import { AttrsWithEnvelope } from "../../interfaces/mail/attrs.interface";
import saveMessageDatabase from "./db/test-saveMessage";

export interface AttrsWithEnvelopeTest {
    attrs: AttrsWithEnvelope;
    message_id: number;
}

export function createReplyWithSameMembers(origin: AttrsWithEnvelopeTest, db?: saveMessageDatabase): AttrsWithEnvelopeTest {
    const reply = JSON.parse(JSON.stringify(origin));
    reply.attrs.envelope.inReplyTo = origin.attrs.envelope.messageId;
    reply.message_id = randomInt(5);
    reply.attrs.envelope.messageId = reply.message_id.toString();
    db.messages.push(reply);
    return reply;
}